#ifndef VORAUSWAHL_H
#define VORAUSWAHL_H

#include <QtGui>
#if QT_VERSION >= 0x050000
#include <QtWidgets>
#endif
#include "settings.h"
#include "workdata.h"
#include "ProcessingWidget.h"

//! Bietet die verschiedenen Möglichkeiten zur Graustufenkonvertierung an.
class vorauswahl : public ProcessingWidget
{
		Q_OBJECT
	public:
		//! Konstruktor
		explicit vorauswahl(QWidget *parent = 0);
		virtual bool activate();
		virtual bool deactivate();
		virtual QString information();
	signals:

	public slots:

	private:
		QGridLayout layout;

		QPixmap pixmaps[4];
		QString files[4];
		QLabel labels[4];
		QRadioButton radios[4];

};

#endif // VORAUSWAHL_H
