#include "messaging.h"

Messaging::Messaging(QObject *parent):QObject(parent)
{
}

Messaging* Messaging::instance=NULL;

Messaging* Messaging::getObject(){

	if(instance==NULL){
		instance=new Messaging();
	}
	return instance;
}

void Messaging::setProgress(double progress){
	getObject()->progress(progress);
}

//Icons werden aus den Programmressourcen geladen
void Messaging::message(QString msg){
	getObject()->addMessage("Info: "+msg,QIcon(":/icons/dialog-information.png"));
}

void Messaging::error(QString msg){
	getObject()->addMessage("Fehler: " + msg,QIcon(":/icons/dialog-error.png"));
}

void Messaging::warning(QString msg){
	getObject()->addMessage("Warnung: "+msg,QIcon(":/icons/dialog-warning.png"));
}
